Bug 1476031 - Failed to initialize NSS library
Failed to initialize NSS library
Status: CLOSED DUPLICATE of bug 1477308
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nss-softokn (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: nss-nspr-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-27 17:52 EDT by Andreas Karis
Modified: 2017-09-07 10:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-07 10:54:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm (15.77 KB, text/plain)
2017-07-27 17:53 EDT, Andreas Karis
no flags Details
nss (213.93 KB, text/plain)
2017-07-27 17:53 EDT, Andreas Karis
no flags Details
sosreport (12.64 MB, application/x-xz)
2017-07-27 17:58 EDT, Andreas Karis
no flags Details

  None (edit)
Description Andreas Karis 2017-07-27 17:52:39 EDT
Description of problem:
After installation of a few RPMs, I got this:
~~~
[root@netqe23 nss]# rpm
error: Failed to initialize NSS library
[root@netqe23 nss]# yum
error: Failed to initialize NSS library
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

   cannot import name ts

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.7.5 (default, Aug  2 2016, 04:20:16) 
[GCC 4.8.5 20150623 (Red Hat 4.8.5-4)]

If you cannot solve this problem yourself, please go to 
the yum faq at:
  http://yum.baseurl.org/wiki/Faq
~~~

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


I don't have time to troubleshoot this. Looks like an order of operations and dependency issue. Full CLI output and RPM package list attached.

Perhaps a conflict between beaker and official repos?

[root@netqe23 ~]# yum repolist
Loaded plugins: product-id, search-disabled-repos, subscription-manager
repo id                                                 repo name                                               status
beaker-HighAvailability                                 beaker-HighAvailability                                     37
beaker-ResilientStorage                                 beaker-ResilientStorage                                     42
beaker-Server                                           beaker-Server                                            4,751
beaker-Server-NFV                                       beaker-Server-NFV                                           19
beaker-Server-NFV-debuginfo                             beaker-Server-NFV-debuginfo                                  9
beaker-Server-RT                                        beaker-Server-RT                                            15
beaker-Server-RT-debuginfo                              beaker-Server-RT-debuginfo                                   6
beaker-Server-SAP                                       beaker-Server-SAP                                           11
beaker-Server-SAP-debuginfo                             beaker-Server-SAP-debuginfo                                  5
beaker-Server-SAPHANA                                   beaker-Server-SAPHANA                                        3
beaker-Server-SAPHANA-debuginfo                         beaker-Server-SAPHANA-debuginfo                              2
beaker-Server-debuginfo                                 beaker-Server-debuginfo                                  2,078
beaker-Server-optional                                  beaker-Server-optional                                   4,517
beaker-Server-optional-debuginfo                        beaker-Server-optional-debuginfo                           249
rhel-7-server-aus-rpms/7Server/x86_64                   Red Hat Enterprise Linux 7 Server - AUS (RPMs)          11,875
rhel-7-server-extras-rpms/x86_64                        Red Hat Enterprise Linux 7 Server - Extras (RPMs)          536
rhel-7-server-htb-rpms/x86_64                           Red Hat Enterprise Linux 7 Server HTB (RPMs)             7,592
rhel-7-server-nfv-rpms/7Server/x86_64                   Red Hat Enterprise Linux for Real Time for NFV (RHEL 7     177
rhel-7-server-openstack-10-devtools-rpms/7Server/x86_64 Red Hat OpenStack Platform 10 Developer Tools for RHEL       6
rhel-7-server-openstack-10-rpms/7Server/x86_64          Red Hat OpenStack Platform 10 for RHEL 7 (RPMs)          1,179
rhel-7-server-rh-common-rpms/7Server/x86_64             Red Hat Enterprise Linux 7 Server - RH Common (RPMs)       228
rhel-7-server-rpms/7Server/x86_64                       Red Hat Enterprise Linux 7 Server (RPMs)                14,619
rhel-7-server-rt-beta-rpms/x86_64                       Red Hat Enterprise Linux for Real Time Beta (RHEL 7 Ser     15
rhel-7-server-rt-htb-rpms/x86_64                        Red Hat Enterprise Linux for Real Time HTB (RHEL 7 Serv      0
rhel-7-server-rt-rpms/7Server/x86_64                    Red Hat Enterprise Linux for Real Time (RHEL 7 Server)     208
rhel-7-server-tus-rpms/7Server/x86_64                   Red Hat Enterprise Linux 7 Server - TUS (RPMs)          11,875
repolist: 60,054
[root@netqe23 ~]#
Comment 2 Andreas Karis 2017-07-27 17:53 EDT
Created attachment 1305661 [details]
rpm
Comment 3 Andreas Karis 2017-07-27 17:53 EDT
Created attachment 1305662 [details]
nss
Comment 4 Andreas Karis 2017-07-27 17:58 EDT
Created attachment 1305664 [details]
sosreport
Comment 5 Kai Engert (:kaie) 2017-08-21 11:42:59 EDT
Daiki, do you think this a duplicate of the issues you've already fixed (around the recent NSPR updates), or a new issue?
Comment 6 Daiki Ueno 2017-08-21 11:51:12 EDT
Yes, it looks like a duplicate of bug 1477308.  According to the rpm list attached to comment 2, only nss-softokn-freebl got updated while nspr was older (and missing PR_GetEnvSecure):

$ grep '^nss\|^nspr' nss-rpm_-qa.txt | sort
nspr-4.11.0-1.el7_2.x86_64
nss-3.21.0-17.el7.x86_64
nss-softokn-3.16.2.3-14.4.el7.x86_64
nss-softokn-freebl-3.28.3-6.el7.i686
nss-softokn-freebl-3.28.3-6.el7.x86_64
nss-sysinit-3.21.0-17.el7.x86_64
nss-tools-3.21.0-17.el7.x86_64
nss-util-3.21.0-2.2.el7_2.x86_64
Comment 7 Kai Engert (:kaie) 2017-08-21 11:53:58 EDT
Andreas, could you please verify that the recently released updates fix your issue?
Comment 9 Andreas Karis 2017-09-07 10:54:23 EDT
Hi,

Comment 6 makes sense to me. Both issues were reported at the same time as well. Closing as dup.

- Andreas

*** This bug has been marked as a duplicate of bug 1477308 ***

Note You need to log in before you can comment on or make changes to this bug.